#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Params
%define		pnam	Classify
%include	/usr/lib/rpm/macros.perl
Summary:	Params::Classify - argument type classification
Summary(pl.UTF-8):	Params::Classify - klasyfikacja typu argumentu
Name:		perl-Params-Classify
Version:	0.013
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Params/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	63d24fbec775472ada49d16bce4a9b1f
URL:		http://search.cpan.org/dist/Params-Classify/
BuildRequires:	perl-ExtUtils-ParseXS >= 2.2006
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Scalar-List-Utils >= 1.01
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides various type-testing functions. These are
intended for functions that, unlike most Perl code, care what type of
data they are operating on. For example, some functions wish to
behave differently depending on the type of their arguments (like
overloaded functions in C++).

%description -l pl.UTF-8
Ten moduł udostępnia różne funkcje do sprawdzania typów. Mają być
przydatne dla funkcji, które - w przeciwieństwie do większości kodu
perlowego - zwracają uwagę na typ danych, na których operują; np.
dla funkcji, które zachowują się różnie w zależności od typu
argumentów (jak przeciążone funkcje w C++).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	installdirs=vendor \
	--config cc="%{__cc}" \
	--config ld="%{__cc}" \
	--config optimize="%{rpmcflags}"

./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install \
	destdir=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Params/Classify.pm
%dir %{perl_vendorarch}/auto/Params/Classify
%attr(755,root,root) %{perl_vendorarch}/auto/Params/Classify/Classify.so
%{_mandir}/man3/Params::Classify.3pm*
%changelog
* Thu Feb 26 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Params-Classify.git;a=log;h=master

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> f2bf5e8
- x32 rebuild
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> c2440c6
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 376b55c
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 59d28e6
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Tue May 29 2012 Jakub Bogusz <qboosh@pld-linux.org> fd230e0
- pl, cleanup, pass optflags

* Mon Jan 23 2012 zbyniu <zbyniu@pld-linux.org> 6c45de8
- new

